/*
 * DO NOT EDIT.  THIS FILE IS GENERATED FROM
 * nsIScriptLoaderObserver.idl
 */

package org.mozilla.interfaces;

public interface nsIScriptLoaderObserver extends nsISupports {

  String NS_ISCRIPTLOADEROBSERVER_IID =
    "{501209d3-7edf-437d-9948-3c6d1c08ef7f}";

  /**
   * The script is available for evaluation. For inline scripts, this
   * method will be called synchronously. For externally loaded scripts,
   * this method will be called when the load completes.
   *
   * @param aResult A result code representing the result of loading
   *        a script. If this is a failure code, script evaluation
   *        will not occur.
   * @param aElement The element being processed.
   * @param aIsInline Is this an inline script or externally loaded?
   * @param aWasPending Did script processing have to be delayed,
   *                    either for loading of an external script or
   *                    because processing of an earlier scheduled
   *                    script was delayed?
   * @param aURI What is the URI of the script (the document URI if
   *        it is inline).
   * @param aLineNo At what line does the script appear (generally 1
   *        if it is a loaded script).
   */
  void scriptAvailable(long aResult, nsISupports aElement, boolean aIsInline, boolean aWasPending, nsIURI aURI, int aLineNo);

  /**
   * The script has been evaluated.
   *
   * @param aResult A result code representing the success or failure of
   *        the script evaluation.
   * @param aElement The element being processed.
   * @param aIsInline Is this an inline script or externally loaded?
   * @param aWasPending Did script processing have to be delayed,
   *                    either for loading of an external script or
   *                    because processing of an earlier scheduled
   *                    script was delayed?
   */
  void scriptEvaluated(long aResult, nsISupports aElement, boolean aIsInline, boolean aWasPending);

}